eoEsMutationInit(3)

NAME
eoEsMutationInit - Initialize Mutation operator.

SYNOPSIS

#include <eoEsMutationInit.h>

  Public Member Functions
eoEsMutationInit (eoParser &_parser, std::string _section='ES mutation parameters')
Constructor.
virtual ~eoEsMutationInit ()
Virtual destructor.
double TauLcl (void)
local
double TauGlb (void)
global tau
double TauBeta (void)
correlation's tau

  Protected Member Functions
virtual std::string section (void)
virtual std::string TauLclName (void) const
virtual char TauLclShort (void) const
virtual std::string TauGlbName (void) const
virtual char TauGlbShort (void) const
virtual std::string TauBetaName (void) const
virtual char TauBetaShort (void) const

  Private Attributes
eoParser & parser
std::string repSection
eoValueParam< double > * TauLclParam
eoValueParam< double > * TauGlbParam
eoValueParam< double > * TauBetaParam

Detailed Description

Initialize Mutation operator. Proxy class that is used for initializing the mutation operator. It provides an interface between eoEsMutate and the abstract parameterLoader. It also provides the names for the parameters in this class as virtual protected member functions.

If you have more than a single ES in a project that need different names in the configuration files, you might consider overriding this class to change the names.

See also:
    eoEsMutate

Definition at line 47 of file eoEsMutationInit.h.

Constructor & Destructor Documentation

  eoEsMutationInit::eoEsMutationInit (eoParser & _parser, std::string _section = 'ES mutation parameters') [inline]

Constructor.

Parameters:
    _parser Parser to read parameters from.
    _section Parser section for -parameters.

Definition at line 56 of file eoEsMutationInit.h.

Author

Generated automatically by Doxygen for EO from the source code.